PROGRAM testlogical

  LOGICAL :: x=.true., y=.false.

  if (x) print*, 'x is true'
  if (x == .true.) print*, 'x is true'

  if (x .OR. y) print*, 'x or y is true'
  if (x .AND. y) print*, 'x and y are true'

  if (x .NEQV. y) print*, 'x and y are NOT the same'

END PROGRAM testlogical
